<?php session_start();
require('../cfg/cfg.php');
require('../cfg/res.php');
$pagina_descri='LISTA ENTIDADES';
$pagina_nivel;
$pagina_tipo;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $empr_nombre.'-'.$_SESSION['user_vcrx_id'].'-'.$pagina_descri;?>  </title>
<link rel="stylesheet" href="http://vcrxol.com/_css/comun.css" type="text/css" />
<link rel="stylesheet" href="../css/comun2.css" type="text/css" />
<style>
body{ font-size:12px;}
</style>
<script type="text/javascript" src="../js/jquery-1.11.1.js"></script>
<script type="text/javascript">
var intervalo=0;
var tiempo;


function llena_mitad(ordena,crit)
{
	document.getElementById('barra_azul').style.width=intervalo+'%';
	
	
	if(intervalo==50)
	{
		window.clearTimeout(tiempo);
		ordena_item(ordena,crit);
	}
	intervalo++;
	

}

function llena_full()
{
	document.getElementById('barra_azul').style.width=intervalo+'%';
	
	
	if(intervalo==100)
	{
		window.clearTimeout(tiempo);
		intervalo=0;
	}
	intervalo++;
	

}


function ordena_item(ordena,crit)
{
	//alert(ordena);
	
	
		
		
		$.ajax({
		cache:false,
		url:'vrentilist2.php',
		datatype: "text",
	    async:true,
		type:'POST',
		data:{ordena:ordena,crit:crit}, 
    	beforeSend: function(jqXHR, textStatus)
		{
	                  
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
	
			tiempo=setInterval(function() {llena_full();}, 50);
			document.getElementById('lista_contenedor').innerHTML=dato;
			
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
				if (jqXHR.status === 0) {
	              console.log('Not connect: Verify Network.');
		           } else if (jqXHR.status == 404) {
	               console.log('Requested page not found [404]');
		           } else if (jqXHR.status == 500) {
	               console.log('Internal Server Error [500].');
		           } else if (exception === 'parsererror') {
	               console.log('Requested JSON parse failed.');
		           } else if (exception === 'timeout') {
	               alert('Servidor no Responde');
		           } else if (exception === 'abort') {
	               console.log('Ajax request aborted.');
		           } else {
	               console.log('Uncaught Error: ' + jqXHR.responseText);
           			}
			
			
		   

		}, 
		complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success')
	        {
				    activa();				    	
			}
		},
		timeout:300000
	});

}

function desactiva()
{
	var boton=document.getElementsByClassName('btn_titulo').length;
	for(i=0;i<boton;i++)
	{
		document.getElementsByClassName('btn_titulo').item(i).disabled=true;
	}
}

function activa()
{
	var boton=document.getElementsByClassName('btn_titulo').length;
	for(i=0;i<boton;i++)
	{
		document.getElementsByClassName('btn_titulo').item(i).disabled=false;
	}
}


//window.onload=function(){tiempo=setInterval(function() {llena_mitad('codigo');}, 50);}
//window.onload=function(){ordena_item('codigo');};

</script>

</head>

<body style="padding:0px; margin:0px;">
<div style="height:5px; margin:-1px 0px 0px 0px; padding:0px;"><div id="barra_azul" style=" background:#06F; height:5px;"></div></div>
<div align="center" >

	<div align="center">
<?php include('../../_lib/cabecera2.php');?>
	<div id="lista_contenedor"> <?php require('../../_lib/vrentilist2.php');?></div>    
        
	</div>
</div>

</body>
</html>